#!/bin/bash

pem="/home/nick/Desktop/Amazon/ami-test/myAmiTestKey.pem"

if [ $# -eq 1 ]; then
	NOW=$(date +"%Y-%m-%d-%H-%M-%S");
	echo "about to create snapshot with volume $1"	
	snapshotid=$(ec2-create-snapshot -d "snapshot-$NOW-$1"   $1  | cut --fields=2);
	echo "snapshotid=$snapshotid";
	
	echo "snapshot created, but now wait for it being ready..."
	while status=$(ec2-describe-snapshots "$snapshotid" | cut -f4) ; do 
#		echo "debugging:$status"
		if [ "$status" == "completed" ]; then
#			echo "complete=$status"
			break;
		else
			if [ "$status" == "failed" ]; then
#				echo "failed=$status"
				break;
			fi
		fi
		echo -n .; 
		sleep 1; 
	done
	
	echo -e "\nstaus of Snapshot $snapshotid is $status.";
fi

