#!/bin/bash

	if [ $# -eq 1 ]; then
		instanceid=$1;
	else
		instanceid=$(cat id.txt);
	fi

	echo "about to create image for instance $instanceid"	
	
	NOW=$(date +"%Y-%m-%d-%H-%M-%S");
	
	image=$(ec2-create-image -n "ami-$NOW-debian64-m2.4xlarge" -d "time:$NOW debian-64  m2.4xlarge with blender"  "$instanceid" | cut -f2);
	echo "The created image is:$image";
	echo $image > ami.txt
	echo "now we are going to wait image to be available for quite some minutes, be patient..."

	while [ 0 -eq 0 ]; do
		result=$(ec2-describe-images $image |egrep ^IMAGE | cut -f5);
#		echo "resultimagestatus=$result="
		if [ "$result" == "available" ]; then
			break;
			else
			if [ "$result" == "failed" ]; then
				break;
			fi
		fi		
		echo -n .;
		sleep 1;
	done

	echo -e "\nThe result status of image is:$result\n";

        echo "Now we are shutting down instance, it will take a few minutes, be patient..."

        while [ 0 -eq 0 ]; do

                terminate=$( ec2-terminate-instances "$instanceid" | cut -f3)
                if [ "$terminate" == "terminated" ]; then
                        break;
                fi
                echo -n .;
                sleep 1;
        done
        echo -e "\nThe instance status:$terminate\n"

